# remirepo/fedora spec file for php-phpunit-PHPUnit
#
# Copyright (c) 2010-2015 Remi Collet
# Copyright (c) 2006-2009 Christopher Stone
#
# License: MIT
# https://opensource.org/licenses/MIT
#
# Please, preserve the changelog entries
#
%global php_home     %{_datadir}/php
%global pear_name    PHPUnit
%global major        4.8
%global minor        17

Name:           php-phpunit
Version:        9.5.20
Release:        3%{?dist}
Summary:        The PHP Unit Testing framework

Group:          Development/PHP
License:        BSD
URL:            https://github.com/sebastianbergmann/phpunit
Source0:        https://phar.phpunit.de/phpunit-%{version}.phar

BuildArch:      noarch
BuildRequires:  php >= 3:8.0.0
Requires:       php >= 3:8.0.0
Requires:       php-dom
Requires:       php-pcre
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-pcntl
Requires:       php-phar
Requires:       php-tidy
Requires:       php-xml

Obsoletes:      php-pear-PHPUnit < 9
# Project
Provides:       phpunit = %{version}-%{release}

%description
PHPUnit is a programmer-oriented testing framework for PHP.
It is an instance of the xUnit architecture for unit testing frameworks.

%install
install -D -p -m 755 %{SOURCE0} %{buildroot}%{_bindir}/phpunit


%files
%{_bindir}/phpunit




%changelog
* Tue Aug 16 2022 mokraemer <mokraemer> 9.5.20-3.mga9
+ Revision: 1878225
- remove old requirements
- remove old requirements
- update group
- new version 9.5.20
- updated requirements
- updated requirements
+ spuhler <spuhler>
- imported package php-phpunit-PHPUnit

